package com.bonus.canteen.core.supply.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;
import java.util.List;

@ApiModel
public class DrpSupplierMaterialIntoAndOutPageDTO {
   @ApiModelProperty("单据号")
   private String drpOrderId;
   @ApiModelProperty("开始时间")
   private LocalDateTime startTime;
   @ApiModelProperty("结束时间")
   private LocalDateTime endTime;
   @ApiModelProperty("单据类型(1入库，2出库)")
   private Integer drpOrderType;
   @ApiModelProperty("制表开始时间")
   private LocalDateTime crtimeStart;
   @ApiModelProperty("制表结束时间")
   private LocalDateTime crtimeEnd;
   @ApiModelProperty("制表人")
   private String crby;
   @ApiModelProperty("区域id集合")
   private List<Long> areaIdList;
   @ApiModelProperty("仓库id")
   private List<Long> warehouseIdList;

   public String getDrpOrderId() {
      return this.drpOrderId;
   }

   public LocalDateTime getStartTime() {
      return this.startTime;
   }

   public LocalDateTime getEndTime() {
      return this.endTime;
   }

   public Integer getDrpOrderType() {
      return this.drpOrderType;
   }

   public LocalDateTime getCrtimeStart() {
      return this.crtimeStart;
   }

   public LocalDateTime getCrtimeEnd() {
      return this.crtimeEnd;
   }

   public String getCrby() {
      return this.crby;
   }

   public List<Long> getAreaIdList() {
      return this.areaIdList;
   }

   public List<Long> getWarehouseIdList() {
      return this.warehouseIdList;
   }

   public void setDrpOrderId(final String drpOrderId) {
      this.drpOrderId = drpOrderId;
   }

   public void setStartTime(final LocalDateTime startTime) {
      this.startTime = startTime;
   }

   public void setEndTime(final LocalDateTime endTime) {
      this.endTime = endTime;
   }

   public void setDrpOrderType(final Integer drpOrderType) {
      this.drpOrderType = drpOrderType;
   }

   public void setCrtimeStart(final LocalDateTime crtimeStart) {
      this.crtimeStart = crtimeStart;
   }

   public void setCrtimeEnd(final LocalDateTime crtimeEnd) {
      this.crtimeEnd = crtimeEnd;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setAreaIdList(final List<Long> areaIdList) {
      this.areaIdList = areaIdList;
   }

   public void setWarehouseIdList(final List<Long> warehouseIdList) {
      this.warehouseIdList = warehouseIdList;
   }

   public String toString() {
      String var10000 = this.getDrpOrderId();
      return "DrpSupplierMaterialIntoAndOutPageDTO(drpOrderId=" + var10000 + ", startTime=" + String.valueOf(this.getStartTime()) + ", endTime=" + String.valueOf(this.getEndTime()) + ", drpOrderType=" + this.getDrpOrderType() + ", crtimeStart=" + String.valueOf(this.getCrtimeStart()) + ", crtimeEnd=" + String.valueOf(this.getCrtimeEnd()) + ", crby=" + this.getCrby() + ", areaIdList=" + String.valueOf(this.getAreaIdList()) + ", warehouseIdList=" + String.valueOf(this.getWarehouseIdList()) + ")";
   }
}
